Bug 57818 - EDITING: when using paintbrush tool with rectangle box selected, every time you try to scroll you'll jump back up
Summary: EDITING: when using paintbrush tool with rectangle box selected, every time y...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-View-Jumps Clone-Formatting
  Show dependency treegraph
 
Reported: 2012-12-02 21:11 UTC by Gregor Knechtges
Modified: 2021-04-02 03:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Just try to copy the format with the "brush" tool of one of the upper boxes to one of the lower ones. (44.20 KB, application/vnd.oasis.opendocument.text)
2012-12-02 21:11 UTC, Gregor Knechtges
Details
New brush bug (8.77 KB, application/vnd.oasis.opendocument.text)
2016-02-21 10:02 UTC, Gregor Knechtges
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Knechtges 2012-12-02 21:11:02 UTC
Created attachment 70942 [details]
Just try to copy the format with the "brush" tool of one of the upper boxes to one of the lower ones.

If you open writer ... insert some rectangular boxes from the drawing tool one on top and one near bottom of a document then write sth. into the boxes and then want to copy/paste the format with the "brush" tool from the upper box to the lower box ... you cannot reach the bottom box cuz every time you move down with the "brush" the page flips up.
Comment 1 Jorendc 2013-01-03 11:09:45 UTC
Thanks for reporting!

I can reproduce using LibreOffice 4.1.0.0.alpha0+ (Build ID: 73731b01cd65defdf9b42a9754bede3ba84221d)
TinderBox: MacOSX-Intel@1-built_no-moz_on_10.6.8, Branch:master, Time: 2013-01-02_08:47:51
Comment 2 Jorendc 2013-01-03 11:10:49 UTC
Comment on attachment 70942 [details]
Just try to copy the format with the "brush" tool of one of the upper boxes to one of the lower ones.

Change MIME Type of attachment
Comment 3 QA Administrators 2015-01-05 17:51:41 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 17:23:03 UTC
(In reply to Gregor Knechtges from comment #0)
> Created attachment 70942 [details]
> you cannot reach the bottom box cuz every time you
> move down with the "brush" the page flips up.

Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:58 UTC Comment hidden (obsolete)
Comment 6 Gregor Knechtges 2016-02-21 09:55:55 UTC
Bug still present. (But changed now)

Using here LO version 5.0.5.2 in Kubuntu 12.04 (precise)

a) after selecting text in one of the boxes the brush button cannot be used cuz it is greyed out.

b) if I select the whole box with the text in it I can select the brush tool but then I would copy not only the format of the text but also the box formatting. (which is not how it should be)

The new bug we are facing now: by copying the format (box and text selected) to the second box the box shrinks to just wrap around the text.

Thanks for taking your time!
Comment 7 Gregor Knechtges 2016-02-21 10:02:30 UTC
Created attachment 122844 [details]
New brush bug

HEre is my try. I just created two boxes of same size with one word in it. I then wanted to copy the word formatting from one box to the other which will not work cuz the brush tool is greyed out.

I then just selected the whole box with text in it and used the brush tool. Now the affected box shrinks to the size of the inner text. No text format copied.

regards
Comment 8 QA Administrators 2017-03-06 15:23:57 UTC Comment hidden (obsolete)
Comment 9 sdc.blanco 2019-04-02 22:54:15 UTC
Confirm the bug in Comment #0 -- after selecting the box at the top of the screen, cannot scroll down to the second box.  Tested with attachment 122844 [details].

Version: 6.1.5.2 (x64)
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: da-DK (da_DK); Calc: CL
Comment 10 QA Administrators 2021-04-02 03:47:24 UTC
Dear Gregor Knechtges,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug